import * as ambassadorWixContactsV4AttachmentTypes from './contacts-v4-attachment-attachments.types.js';
import * as ambassadorWixContactsV4AttachmentUniversalTypes from './contacts-v4-attachment-attachments.universal.js';
export type __PublicMethodMetaInfo<K = string, M = unknown, T = unknown, S = unknown, Q = unknown, R = unknown> = {
    getUrl: (context: any) => string;
    httpMethod: K;
    path: string;
    pathParams: M;
    __requestType: T;
    __originalRequestType: S;
    __responseType: Q;
    __originalResponseType: R;
};
export declare function generateAttachmentUploadUrl(): __PublicMethodMetaInfo<'POST', {
    contactId: string;
}, ambassadorWixContactsV4AttachmentUniversalTypes.GenerateAttachmentUploadUrlRequest, ambassadorWixContactsV4AttachmentTypes.GenerateAttachmentUploadUrlRequest, ambassadorWixContactsV4AttachmentUniversalTypes.GenerateAttachmentUploadUrlResponse, ambassadorWixContactsV4AttachmentTypes.GenerateAttachmentUploadUrlResponse>;
export declare function listAttachments(): __PublicMethodMetaInfo<'GET', {
    contactId: string;
}, ambassadorWixContactsV4AttachmentUniversalTypes.ListAttachmentsRequest, ambassadorWixContactsV4AttachmentTypes.ListAttachmentsRequest, ambassadorWixContactsV4AttachmentUniversalTypes.ListAttachmentsResponse, ambassadorWixContactsV4AttachmentTypes.ListAttachmentsResponse>;
export declare function deleteAttachment(): __PublicMethodMetaInfo<'DELETE', {
    contactId: string;
    attachmentId: string;
}, ambassadorWixContactsV4AttachmentUniversalTypes.DeleteAttachmentRequest, ambassadorWixContactsV4AttachmentTypes.DeleteAttachmentRequest, ambassadorWixContactsV4AttachmentUniversalTypes.DeleteAttachmentResponse, ambassadorWixContactsV4AttachmentTypes.DeleteAttachmentResponse>;
export declare function getAttachment(): __PublicMethodMetaInfo<'GET', {
    contactId: string;
    attachmentId: string;
}, ambassadorWixContactsV4AttachmentUniversalTypes.GetAttachmentRequest, ambassadorWixContactsV4AttachmentTypes.GetAttachmentRequest, ambassadorWixContactsV4AttachmentUniversalTypes.GetAttachmentResponse, ambassadorWixContactsV4AttachmentTypes.GetAttachmentResponse>;
