import * as ambassadorWixContactsV4Attachment from './contacts-v4-attachment-attachments.http.js';
export function generateAttachmentUploadUrl() {
    const payload = { contactId: ':contactId' };
    const getRequestOptions = ambassadorWixContactsV4Attachment.generateAttachmentUploadUrl(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v4/attachments/{contactId}/upload-url',
        pathParams: { contactId: 'contactId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function listAttachments() {
    const payload = { contactId: ':contactId' };
    const getRequestOptions = ambassadorWixContactsV4Attachment.listAttachments(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v4/attachments/{contactId}',
        pathParams: { contactId: 'contactId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function deleteAttachment() {
    const payload = {
        contactId: ':contactId',
        attachmentId: ':attachmentId',
    };
    const getRequestOptions = ambassadorWixContactsV4Attachment.deleteAttachment(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'DELETE',
        path: '/v4/attachments/{contactId}/{attachmentId}',
        pathParams: { contactId: 'contactId', attachmentId: 'attachmentId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function getAttachment() {
    const payload = {
        contactId: ':contactId',
        attachmentId: ':attachmentId',
    };
    const getRequestOptions = ambassadorWixContactsV4Attachment.getAttachment(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v4/attachments/{contactId}/{attachmentId}',
        pathParams: { contactId: 'contactId', attachmentId: 'attachmentId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
//# sourceMappingURL=contacts-v4-attachment-attachments.meta.js.map