import { generateAttachmentUploadUrl as publicGenerateAttachmentUploadUrl, listAttachments as publicListAttachments, deleteAttachment as publicDeleteAttachment, getAttachment as publicGetAttachment, } from './contacts-v4-attachment-attachments.public.js';
import { createRESTModule } from '@wix/sdk-runtime/rest-modules';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { onAttachmentCreated as publicOnAttachmentCreated } from './contacts-v4-attachment-attachments.public.js';
import { onAttachmentDeleted as publicOnAttachmentDeleted } from './contacts-v4-attachment-attachments.public.js';
export const generateAttachmentUploadUrl = /*#__PURE__*/ createRESTModule(publicGenerateAttachmentUploadUrl);
export const listAttachments = /*#__PURE__*/ createRESTModule(publicListAttachments);
export const deleteAttachment = /*#__PURE__*/ createRESTModule(publicDeleteAttachment);
export const getAttachment = /*#__PURE__*/ createRESTModule(publicGetAttachment);
/** */
export const onAttachmentCreated = createEventModule(publicOnAttachmentCreated);
/** */
export const onAttachmentDeleted = createEventModule(publicOnAttachmentDeleted);
export { AttachmentType, CrmAttachmentAttachmentType, DemoContactType, WebhookIdentityType, } from './contacts-v4-attachment-attachments.universal.js';
//# sourceMappingURL=contacts-v4-attachment-attachments.context.js.map