"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAttachment = exports.deleteAttachment = exports.listAttachments = exports.generateAttachmentUploadUrl = void 0;
const ambassadorWixContactsV4Attachment = __importStar(require("./contacts-v4-attachment-attachments.http.js"));
function generateAttachmentUploadUrl() {
    const payload = { contactId: ':contactId' };
    const getRequestOptions = ambassadorWixContactsV4Attachment.generateAttachmentUploadUrl(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v4/attachments/{contactId}/upload-url',
        pathParams: { contactId: 'contactId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.generateAttachmentUploadUrl = generateAttachmentUploadUrl;
function listAttachments() {
    const payload = { contactId: ':contactId' };
    const getRequestOptions = ambassadorWixContactsV4Attachment.listAttachments(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v4/attachments/{contactId}',
        pathParams: { contactId: 'contactId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.listAttachments = listAttachments;
function deleteAttachment() {
    const payload = {
        contactId: ':contactId',
        attachmentId: ':attachmentId',
    };
    const getRequestOptions = ambassadorWixContactsV4Attachment.deleteAttachment(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'DELETE',
        path: '/v4/attachments/{contactId}/{attachmentId}',
        pathParams: { contactId: 'contactId', attachmentId: 'attachmentId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.deleteAttachment = deleteAttachment;
function getAttachment() {
    const payload = {
        contactId: ':contactId',
        attachmentId: ':attachmentId',
    };
    const getRequestOptions = ambassadorWixContactsV4Attachment.getAttachment(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v4/attachments/{contactId}/{attachmentId}',
        pathParams: { contactId: 'contactId', attachmentId: 'attachmentId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.getAttachment = getAttachment;
//# sourceMappingURL=contacts-v4-attachment-attachments.meta.js.map